Bug 1182831 - NVIDIA: Missing files in Leap 15.2/TW repos + Broken meta data in Leap 15.0/15.1 repos
NVIDIA: Missing files in Leap 15.2/TW repos + Broken meta data in Leap 15.0/1...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: X11 3rd Party Driver
Leap 15.2
All openSUSE Leap 15.2
: P3 - Medium : Normal (vote)
: ---
Assigned To: Stefan Dirsch
Stefan Dirsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-28 21:12 UTC by Karsten Langer
Modified: 2021-03-01 21:49 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Failed Install via zypper (19.11 KB, text/plain)
2021-03-01 15:36 UTC, Karsten Langer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karsten Langer 2021-02-28 21:12:32 UTC
Hi,

I have just noticed that the openSUSE nivida repositories are gone. That is not just for 15.2 but for all 15.x and Tumbleweed.

https://download.nvidia.com/opensuse/leap/15.2
https://download.nvidia.com/opensuse/tumbleweed

All empty. Anything serious?

Best regards

kasi
Comment 1 Stefan Dirsch 2021-02-28 22:44:24 UTC
Hmm. Indeed looks like 15.0 and 15.1 repos are currently broken, but 15.1 is no longer supported anyway since end of January 2021 ...
15.2 and TW repos are working. You need to be aware that directories on the webserver are not browsable! Nevertheless they are working as repositories.  A driver update for the repositories is triggered since end of last week. So things will change soon anyway.
Comment 2 Michael Hamilton 2021-03-01 07:31:50 UTC
(In reply to Stefan Dirsch from comment #1)
> Hmm. Indeed looks like 15.0 and 15.1 repos are currently broken, but 15.1 is
> no longer supported anyway since end of January 2021 ...
> 15.2 and TW repos are working. You need to be aware that directories on the
> webserver are not browsable! Nevertheless they are working as repositories. 
> A driver update for the repositories is triggered since end of last week. So
> things will change soon anyway.

Although the deeper hierarchy is retrievable, the Software Updater is raising desktop invalid signature messages every N minutes because the baseurl in /etc/zypper/repo.d/nvidia.repo is not readable.  

Will the Updater messages also be fixed by the driver update for the repo?
Comment 3 Michael Hamilton 2021-03-01 07:34:20 UTC
In reference to my previous comment, I should mention that it refers to TW.

Also note this issues is being discussed at:

https://forums.developer.nvidia.com/t/opensuse-tumbleweed-and-leap-15-x-repositories-are-missing/169612
Comment 4 Stephan Hemeier 2021-03-01 08:32:12 UTC
(In reply to Stefan Dirsch from comment #1)
> Hmm. Indeed looks like 15.0 and 15.1 repos are currently broken, but 15.1 is
> no longer supported anyway since end of January 2021 ...
> 15.2 and TW repos are working. You need to be aware that directories on the
> webserver are not browsable! Nevertheless they are working as repositories. 
> A driver update for the repositories is triggered since end of last week. So
> things will change soon anyway.

Repos were browsable until last week....

Here on Leap 15.2, they are working:
LANG=C zypper se -s nvidia-compute
Loading repository data...
Reading installed packages...

S | Name                       | Type    | Version              | Arch   | Repository
--+----------------------------+---------+----------------------+--------+-----------
  | nvidia-computeG04          | package | 390.141-lp152.8.1    | x86_64 | nvidia
  | nvidia-computeG05          | package | 460.39-lp152.34.1    | x86_64 | nvidia
  | skelcd-EULA-NVIDIA-compute | package | 2020.05.04-lp152.1.1 | x86_64 | OSS
Comment 5 Stefan Dirsch 2021-03-01 10:59:50 UTC
Indeed. Issues in 

Leap 15.2

Retrieving: nvidia-computeG05-460.39-lp152.34.1.x86_64.rpm ...........................................................................................[not found]
File './x86_64/nvidia-computeG05-460.39-lp152.34.1.x86_64.rpm' not found on medium 'https://download.nvidia.com/opensuse/leap/15.2'
Abort, retry, ignore? [a/r/i/...? shows all options] (a): 

Tumbleweed

Retrieving package nvidia-gfxG04-kmp-pae-390.141_k5.10.9_1-8.11.i586                                                        (1/4),   9,3 MiB ( 35,9 MiB unpacked)
Retrieving: nvidia-gfxG04-kmp-pae-390.141_k5.10.9_1-8.11.i586.rpm ....................................................................................[not found]
File './i586/nvidia-gfxG04-kmp-pae-390.141_k5.10.9_1-8.11.i586.rpm' not found on medium 'https://download.nvidia.com/opensuse/tumbleweed'
Abort, retry, ignore? [a/r/i/...? shows all options] (a):
Comment 6 Stefan Dirsch 2021-03-01 11:05:45 UTC
NVIDIA has been informed now.
Comment 7 Karsten Langer 2021-03-01 11:32:47 UTC
Yes, sorry. I should have mentioned I tried to install G05 with YaST without success. I was just about to post the zypper result:

https://susepaste.org/17920640
Comment 8 Stefan Dirsch 2021-03-01 12:28:30 UTC
(In reply to Karsten Langer from comment #7)
> Yes, sorry. I should have mentioned I tried to install G05 with YaST without
> success. I was just about to post the zypper result:
> 
> https://susepaste.org/17920640

Seems this server is down right now. Please always attach files in the bugreport. Thanks.
Comment 9 Karsten Langer 2021-03-01 15:36:16 UTC
Created attachment 846628 [details]
Failed Install via zypper
Comment 10 Stefan Dirsch 2021-03-01 15:41:38 UTC
Yeah. That's the same as the one I found in comment #5.

Retrieving package nvidia-computeG05-460.39-lp152.34.1.x86_64                                                          (103/104),  18.9 MiB ( 97.7 MiB unpacked)
Retrieving: nvidia-computeG05-460.39-lp152.34.1.x86_64.rpm ..........................................................................................[not found]
File './x86_64/nvidia-computeG05-460.39-lp152.34.1.x86_64.rpm' not found on medium 'https://download.nvidia.com/opensuse/leap/15.2'
Abort, retry, ignore? [a/r/i/...? shows all options] (a):
Comment 11 B 2021-03-01 19:38:34 UTC
Seems fixed now, got a notification for updated packages 460.56 and the directories are now browsable.
Comment 12 Karsten Langer 2021-03-01 20:54:25 UTC
Thanks, Stefan!
I have set the status to resolved.
I'll install tomorrow. 
;-)
Comment 13 Stefan Dirsch 2021-03-01 21:49:40 UTC
I agree. Looks like the repos have been fixed meanwhile.